@if (data(); as data) {
  <div [ngClass]="['organization-information-detail']">
    <div [ngClass]="[jds.fs(16), jds.fw('bold'), jds.mb(8), jds.leading(26)]">
      {{ title() }}
    </div>
    <div [ngClass]="[jds.d('flex'), jds.alignItems('start')]">
      <div [ngClass]="['img-frame']">
        @if (data.logo !== null) {
          <img
            [alt]="data.nama_skpd"
            [src]="env.backendURL + data.logo"
          />
        } @else {
          <img
            [alt]="data.nama_skpd"
            src="http://placehold.it/200x200"
          />
        }
      </div>

      <div>
        <h6 [ngClass]="jds.mb(16)">{{ data.nama_skpd }}</h6>
        <div [ngClass]="[jds.d('flex'), jds.alignItems('start')]">
          <div
            [ngClass]="[jds.me(100), jds.maxW(300)]"
            [style.flexShrink]="0"
          >
            <div [ngClass]="jds.mb(10)">
              <div [ngClass]="[jds.d('flex'), jds.align('middle')]">
                <jds-bi-icon
                  [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                  name="phone"
                />
                <span
                  [ngClass]="[
                    jds.fs(14),
                    jds.pos('relative'),
                    jds.top(0.5),
                    jds.leading(23)
                  ]"
                >
                  {{ data.phone !== null ? data.phone : '-' }}
                </span>
              </div>
            </div>

            <div [ngClass]="jds.mb(10)">
              <div [ngClass]="[jds.d('flex'), jds.align('middle')]">
                <jds-bi-icon
                  [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                  name="envelope"
                />
                <span
                  [ngClass]="[
                    jds.fs(14),
                    jds.pos('relative'),
                    jds.top(0.5),
                    jds.leading(23)
                  ]"
                >
                  {{ data.email !== null ? data.email : '-' }}
                </span>
              </div>
            </div>

            <div>
              <div
                [ngClass]="[
                  jds.d('flex'),
                  jds.alignItems('start'),
                  jds.align('middle')
                ]"
              >
                <div>
                  <jds-bi-icon
                    [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                    name="building-columns"
                  />
                </div>
                <span
                  [ngClass]="[
                    jds.fs(14),
                    jds.pos('relative'),
                    jds.top(0.5),
                    jds.leading(23)
                  ]"
                >
                  {{ data.address !== null ? data.address : '-' }}
                </span>
              </div>
            </div>
          </div>

          @if (dataSub(); as dataSub) {
            <div [ngClass]="jds.me(48)">
              <div
                [ngClass]="[
                  jds.fs(14),
                  jds.mb(6),
                  jds.text(jdsBiColor.gray['600']),
                  jds.leading(20)
                ]"
              >
                Bidang Organisasi
              </div>
              <span
                [ngClass]="[
                  jds.fs(14),
                  jds.fw('bold'),
                  jds.pos('relative'),
                  jds.top(0.5),
                  jds.leading(23)
                ]"
              >
                {{
                  (dataSub | json) !== '{}' ? dataSub.nama_skpdsub || '-' : '-'
                }}
              </span>
            </div>
          }

          @if (dataUnit(); as dataUnit) {
            <div>
              <div
                [ngClass]="[
                  jds.fs(14),
                  jds.mb(6),
                  jds.text(jdsBiColor.gray['600']),
                  jds.leading(20)
                ]"
              >
                Seksi Organisasi
              </div>
              <span
                [ngClass]="[
                  jds.fs(14),
                  jds.fw('bold'),
                  jds.pos('relative'),
                  jds.top(0.5),
                  jds.leading(23)
                ]"
              >
                {{
                  (dataUnit | json) !== '{}'
                    ? dataUnit.nama_skpdunit || '-'
                    : '-'
                }}
              </span>
            </div>
          }
        </div>
      </div>
    </div>
  </div>
}
